#if !defined(DATAOUTPUTSTREAM_H)
#define DATAOUTPUTSTREAM_H

#include <stdexcept>

/****************************************************************************/
/** \class DataOutputStream
    \brief DataOutputStream
*****************************************************************************/
class DataOutputStream  
{
private:
   FILE* p;

public:
	DataOutputStream(char* fname);

   void write(BYTE* buf, int start, int len);
   void writeInt(int val);
   void writeDouble(double val);
   void close(void);
	virtual ~DataOutputStream();
};

#endif // !defined(DATAOUTPUTSTREAM_H)
